Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1285 (new defect)

Opened 15 years ago

Last modified 14 years ago

Card in STA mode stops working after HAL status 3 error

Reported by: draga@dragas.it Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: v0.9.2
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mentor)

The card (d-link) has been working perfectly for months. Without any apparent reason the card stops working with this error:

kernel: wifi0: ath_chan_set: unable to reset channel 11 (2462 MHz) flags 0xc0 'Hardware didn't respond as expected' (HAL status 3)

I have to reboot the machine (didn't try with unloading/reloading) but it's happened two times today. Never seen anything like that. Machine is a VIA Epia.

Change History

04/28/07 17:44:25 changed by mentor

  • priority changed from critical to major.
  • description changed.

04/28/07 22:30:05 changed by mentor

Odd.

Is the problem ongoing? Can you see if the problem is reproducible with a newer version of Madwifi?

(follow-up: ↓ 4 ) 05/07/07 13:40:46 changed by mrenzmann

  • summary changed from Card stops working with error kernel: wifi0: ath_chan_set: unable to reset channel 11 (2462 MHz) flags 0xc0 'Hardware didn't respond as expected' (HAL status 3) in STA mode to Card in STA mode stops working after HAL status 3 error.

Please also try to find out if the problem still exists in v0.9.3.

(in reply to: ↑ 3 ; follow-up: ↓ 5 ) 05/22/07 09:48:49 changed by Friedbert.Widmann@hoerbiger.com

Replying to mrenzmann:

Please also try to find out if the problem still exists in v0.9.3.

Hello mrenzmann,

I have a similar problem (see #1316). But my card doesn't work at all.

Driver: madwifi-0.9.3
processor: PowerPC, MPC5200, MPC603/G2-family
WLAN: AR5005GS / AR2414 (TP-Link, TL-WN660G)

(in reply to: ↑ 4 ; follow-up: ↓ 6 ) 11/06/07 17:01:21 changed by dmercier

Any news about this problem ? Has it been resolved ?

(in reply to: ↑ 5 ) 11/06/07 18:40:54 changed by Friedbert.Widmann@hoerbiger.com

Replying to dmercier:

Any news about this problem ? Has it been resolved ?

No! I tried 0.9.3.2 and the problem exists there. May be, the reason is that I am using linux 2.4.25. Now, I am going to look for a 2.6.x kernel for my PowerPC and I will try the madwifi drivers with the new kernel.

Best regards,

Widmann